
//***************************************************************************
//  File........: Nokia6610_1.c
//  Author(s)...: Goncharenko Valery
//  URL(s)......: http://digitalchip.ru
//  Device(s)...: ATMega8
//  Compiler....: Winavr-20100110
//  Description.: Demo LCD Nokia6610 - : , , ,    
//  Data........: 23.07.12
//  Version.....:  
//***************************************************************************

#include <avr/io.h>              //  -
#include <util/delay.h>          //  
#include "Nokia6610_lcd_lib.c"   //   LCD Nokia6610 ( ONLY PCF8833 )
#include <avr/pgmspace.h>        
#include "image.h"               //    

//***************************************************************************

int main(void)
{
    nlcd_Init();                                        // 
    nlcd_Text("ABCDEFGHIJKLMNOP",10,3,GREEN,BLACK); 
    nlcd_Text("RSTUVWXYZ       ",20,3,GREEN,BLACK);  
	nlcd_Text("abcdefghijklmnop",30,3,GREEN,BLACK);  
    nlcd_Text("rstuvwxyz       ",40,3,GREEN,BLACK); 
	nlcd_Text("",50,3,WHITE,BLACK);  
    nlcd_Text("",60,3,WHITE,BLACK);  
	nlcd_Text("",70,3,WHITE,BLACK);  
    nlcd_Text("",80,3,WHITE,BLACK); 
	nlcd_Text("   !!! ",90,3,RED,BLACK);  
    nlcd_Text("   1234567890   ",100,3,WHITE,BLACK);  
    nlcd_Text("!?@#$%&{}[].,:;*",110,3,BLUE,BLACK);  
    nlcd_Text("^()_+-=~|</>    ",120,3,BLUE,BLACK);
	
    _delay_ms(2000);
	
    nlcd_Box( 0, 0, 131, 131,1, BLUE);                 //   
 
    nlcd_Bitmap (41, 41, 50 , 50, bitmap_data);          //  
 
}

